import { Controller } from '@hotwired/stimulus';

export default class extends Controller {
  connect() {
    this.magicType = this.element.getAttribute('data-magic-type');
  }

  applyMagic(_e) {
    if (this.magicType == 'fill-input-value') {
      const magicWandTarget = this.element.getAttribute('data-magic-target');
      const magicWandValue = this.element.getAttribute('data-magic-value');

      const target = document.querySelector(
        `input[data-magic-wand-target="${magicWandTarget}"],
        textarea[data-magic-wand-target="${magicWandTarget}"]`
      );

      target.value = magicWandValue;
    }

    this.element.classList.add('hidden');
  }
}